###########################################################################
#
# This program is part of Zenoss Core, an open source monitoring platform.
# Copyright (C) 2008, Zenoss Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published by
# the Free Software Foundation.
#
# For complete information please visit: http://www.zenoss.com/oss/
#
###########################################################################
__doc__ = "Define the cli_credentials structure"
from pysamba.library import *

class cli_credentials(Structure): pass
credential_callback = CFUNCTYPE(c_char_p, POINTER(cli_credentials))

( CRED_UNINITIALISED,
  CRED_GUESS_ENV,
  CRED_CALLBACK, 
  CRED_GUESS_FILE,
  CRED_CALLBACK_RESULT, 
  CRED_SPECIFIED ) = range(6)

cli_credentials._fields_ = [
        ('workstation_obtained', enum),
        ('username_obtained', enum),
        ('password_obtained', enum),
        ('domain_obtained', enum),
        ('realm_obtained', enum),
        ('ccache_obtained', enum),
        ('client_gss_creds_obtained', enum),
        ('principal_obtained', enum),
        ('keytab_obtained', enum),
        ('server_gss_creds_obtained', enum),

        ('workstation', c_char_p),
        ('username', c_char_p),
        ('password', c_char_p),
        ('old_password', c_char_p),
        ('domain', c_char_p),
        ('realm', c_char_p),
        ('principal', c_char_p),
        ('salt_principal', c_char_p),

        ('bind_dn', c_char_p),

        ('nt_hash', c_void_p), # lie: struct samr_Password *

        # all lies
        ('ccache', c_void_p),           # struct ccache_container *
        ('client_gss_creds', c_void_p), # struct gssapi_creds_container *
        ('keytab', c_void_p),           # struct keytab_container *
        ('server_gss_creds', c_void_p), # struct gssapi_creds_container *

        ('workstation_cb', credential_callback),
        ('password_cb', credential_callback),
        ('username_cb', credential_callback),
        ('domain_cb', credential_callback),
        ('realm_cb', credential_callback),
        ('principal_cb', credential_callback),

        # Private handle for the callback routines to use 
        ('priv_data', c_void_p),

        ('netlogon_creds', c_void_p), # struct creds_CredentialState *
        ('secure_channel_type', enum),
        ('kvno', c_int),

        ('smb_krb5_context', c_void_p), # struct smb_krb5_context *
        
        ('machine_account_pending', BOOL),
        
        ('machine_account', BOOL),

        
        ('use_kerberos', enum),

        ('tries', c_int),

        ('callback_running', BOOL),
        ]
